package com.njcn.system.enums;

import lombok.Getter;

/**
 * 类的介绍：
 *
 * @author xuyang
 * @version 1.0.0
 * @createTime 2021/8/5 21:56
 */
@Getter
public enum DicDataTypeEnum {
    /**
     * 字典类型名称
     */
    FRONT_TYPE("前置类型"),
    DEV_TYPE("终端类型"),
    DEV_FUN("终端功能"),
    DEV_STATUS("终端状态"),
    DEV_LEVEL("终端等级"),
    DEV_CONNECT("接线方式"),
    DEV_MANUFACTURER("制造厂商"),
    DEV_VOLTAGE("电压等级"),
    EVENT_REASON("暂降原因"),
    EVENT_TYPE("暂降类型"),
    BUSINESS_TYPE("行业类型"),
    INTERFERENCE_SOURCE_TYPE("干扰源类型"),
    ALARM_TYPE("告警类型"),
    DEV_OPS("运维日志"),
    INDICATOR_TYPE("指标类型"),
    COMMUNICATE_TYPE("通讯类型"),
    RATE_TYPE("费率类型"),
    ELE_LOAD_TYPE("用能负荷类型"),
    ELE_STATISTICAL_TYPE("用能统计类型"),
    LINE_MARK("监测点评分等级")

    ;



    private final String name;

    DicDataTypeEnum(String name){
        this.name=name;
    }

}
